Fin del soporte para Java SE 5

Malas noticias: el pasado viernes (30 de octubre), Java SE 5 llegó a su End of Service Life. Esto quiere decir que deja de ser mantenido y no habrá más actualizaciones de seguridad ni parches, salvo para quien haya contratado soporte extendido para Java SE 5 por parte de Sun. En teoría, no va a ser seguro ejecutar un servidor de aplicaciones Java EE 5 sobre el JDK 5.

Me parece bastante prematuro el descontinuar el soporte para esta versión, ya que aunque hace tiempo que salió Java 6, la versión 5 es aún MUY usada. Por culpa de esto seguramente haya unas cuantas migraciones apresuradas que generen toda clase de problemas (o que se retrase mucho la migración, y queden por ahí un montón de aplicaciones en funcionamiento con bugs que nadie resolverá).

Añadido (09-11-09): hablando de versiones sin soporte, he visto hoy en Java Hispano que la próxima versión de Firefox (la 3.6) deja de soportar OJI (Open Java virtual machine Integration) y sólo se soportan los interfaces estándar NPAPI y NPRuntime, lo que ocasiona que Ffox sólo ejecutará applets de Java si se ha instalado un JRE 1.6u10 o superior.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: